v1.0

SportsVisio Public API

Public RESTful API for accessing SportsVisio's computer vision-powered sports data. Schedules, stats, game insights, player leaderboards, and more.

Base URL https://api.sportsvisio-api.com
Version 1.0
Auth Bearer JWT

Understanding the Hierarchy

In SportsVisio, everything is organized within a three-level hierarchy. Understanding this structure is essential before working with the API.

PROGRAM → EVENT → DIVISION (PED)
P

Program

The top-level organization. Examples: "City Basketball League", "Youth Soccer Association"

E

Event

A specific competition or season within the program. Examples: "2024 Winter Season", "Summer Tournament 2025"

D

Division

A competitive group within the event. Examples: "Men's Division A", "Youth Under-16", "Women's Elite"

Important: All teams, players, games, and recordings are associated with a specific Program/Event/Division combination. This allows for proper organization, statistics tracking, and access control. Most API endpoints require programId, eventId, and divisionId parameters.

Authentication

All API requests require a valid JWT bearer token in the Authorization header. Your authentication token will be provided via email by the SportsVisio team.

Header Format: Include your token in every request as shown below.
HTTP Header
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VySWQiOiJIYWkhIiwiaWF0IjoxNTg5OTk4MjA3fQ

Making Your First Request

Verify your token works by fetching your programs:

curl
curl -X GET "https://api.sportsvisio-api.com/programs/list/" \
  -H "Authorization: Bearer YOUR_TOKEN"

Scheduling Games

This tutorial demonstrates the complete workflow for scheduling and recording a basketball game in SportsVisio—from team setup to video upload.

Prerequisites:
  • You must have a program, event, and division already created
  • You need proper authentication tokens with access to the division
  • A recording device is already registered to your account (for video steps)

Step 1: Setup Your Teams

You need teams in the program/event/division bucket to schedule games with them. You can either create new teams or add existing ones.

💡 Tip: Before creating or adding teams, you can check which teams already exist in the division using:
GET /teams/list/{programId}/{eventId}/{divisionId}
A

Option A: Create a New Team

Creates a team specifically for this division. The team will automatically be associated with the program/event/division structure.

curl
curl -X POST "https://api.sportsvisio-api.com/teams/{programId}/{eventId}/{divisionId}" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '{
    "name": "Lightning Bolts",
    "shortName": "BOLTS",
    "description": "Elite basketball team from downtown",
    "sportId": "basketball",
    "imageUrl": "https://example.com/team-logo.png",
    "defaultColor": "#FF6B35",
    "awayColor": "#FFFFFF",
    "location": {
      "lat": 40.7589,
      "long": -73.9851
    },
    "type": "MINE",
    "private": false
  }'
Note: Save the id from the response to use in later steps.
B

Option B: Add Existing Teams to Division

Use this when you already have teams created and want to add them to a specific program/event/division for competition.

curl
curl -X POST "https://api.sportsvisio-api.com/programs/divisions/teams/{programId}/{eventId}/{divisionId}/bulk" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '{
    "teamIds": ["team-uuid-1", "team-uuid-2", "team-uuid-3"]
  }'

Step 2: Setup Your Players

You need players in the program/event/division bucket to include them in game rosters. You can create new players or assign existing ones.

A

Option A: Create New Players

Creates a new player and immediately adds them to the division roster.

curl
curl -X POST "https://api.sportsvisio-api.com/teams/players/{teamId}/{programId}/{eventId}/{divisionId}" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '{
    "number": "23",
    "name": "Michael Jordan",
    "email": "mjordan@example.com"
  }'
B

Option B: Assign Existing Players to Division Roster

Use this when you already have player profiles created and want to add them to a specific division roster. You can assign new jersey numbers for this division.

curl
curl -X POST "https://api.sportsvisio-api.com/teams/players/division/{teamId}/{programId}/{eventId}/{divisionId}" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '[
    { "teamPlayerId": "player-uuid-1", "number": "23" },
    { "teamPlayerId": "player-uuid-2", "number": "33" }
  ]'

Step 3: Schedule the Game

Create a scheduled game between two teams with start/end times and team colors for easy identification.

3

Create Scheduled Game

curl
curl -X POST "https://api.sportsvisio-api.com/scheduled-games/{programId}/{eventId}/{divisionId}" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '{
    "startTime": 1700600400,
    "reportedMinutes": 48,
    "endTime": 1700604000,
    "timezone": "America/Chicago",
    "teams": [
      {
        "color": "blue",
        "reportedScore": 0,
        "teamId": "team-uuid-1",
        "designation": "Away"
      },
      {
        "color": "red",
        "reportedScore": 0,
        "teamId": "team-uuid-2",
        "designation": "Home"
      }
    ]
  }'
Note: Save the game.id from the response for later use.
Important notes:
  • Valid colors: grey, black, green, purple, blue, brown, orange, red, white, yellow, pink, navy, fuchsia, lime, aqua, silver. Match what's visible in the video.
  • Designation: Must be either Home or Away
  • reportedScore: Optional. Used to verify annotations match the final score (useful when footage is partial).

Step 4: Setup Game Roster

After scheduling a game, define which players will participate and their jersey numbers for this specific game.

4.1

Get Team Assignment IDs

First, fetch the scheduled game details to get the teamGameAssn ID for each team. These represent the connection between teams and the game.

curl
curl -X GET "https://api.sportsvisio-api.com/scheduled-games/{scheduledGameId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
From the response: Save teamGameAssn[0].id and teamGameAssn[1].id for roster assignment.
4.2

List Available Players

See which players are available in the division roster before creating game rosters.

curl
curl -X GET "https://api.sportsvisio-api.com/teams/players/division/list/{teamId}/{programId}/{eventId}/{divisionId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
4.3

Create Game Roster

Assign specific players to the game roster with their jersey numbers. Repeat for each team.

curl
curl -X POST "https://api.sportsvisio-api.com/scheduled-games/assigned/{scheduledGameTeamAssnId}/roster" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '[
    { "number": "23", "starter": true, "teamPlayerId": "player-uuid-1" },
    { "number": "33", "starter": true, "teamPlayerId": "player-uuid-2" },
    { "number": "10", "starter": false, "teamPlayerId": "player-uuid-3" }
  ]'
Important notes:
  • Jersey numbers can be different from division roster defaults
  • Use "starter": true for players who begin the game
  • Use "starter": false for bench players
  • Each team needs its own roster assignment call
  • Player IDs must exist in the division roster first

Step 5: Device Setup for Video Recording

Before recording games, assign recording devices to capture gameplay from different angles.

5.1

List Available Devices

Get all devices associated with your account to see which ones are available for recording.

curl
curl -X GET "https://api.sportsvisio-api.com/devices/list" \
  -H "Authorization: Bearer YOUR_TOKEN"
5.2

Assign Device to Game

Associate a device with a scheduled game and specify the camera angle.

curl
curl -X POST "https://api.sportsvisio-api.com/devices/attach/{scheduledGameId}" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '{
    "position": "center",
    "deviceId": "device-uuid"
  }'
Valid positions: left, right, center. You can only use one deviceId per angle in a game.

Step 6: Video Upload Workflow

Upload game video for AI-powered analysis using multipart upload for large files.

6.1

Initialize Multipart Upload

Create the upload session to get presigned URLs for each chunk.

curl
curl -X POST "https://api.sportsvisio-api.com/devices/init-upload-multipart/{scheduledGameId}/{deviceId}" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '{
    "fileName": "game-video.mp4",
    "fileSize": 15862337,
    "totalParts": 4,
    "contentType": "video/mp4",
    "checksums": [
      { "partNumber": 1, "checksumSHA256": "ucVFyrTpenFDKUW+tkT0CjZd/Wqy1/Fd07fvgLv8yp4=" },
      { "partNumber": 2, "checksumSHA256": "bLaaSNSI3Zh4jv1DI82JCrgSrSvnipz+Rla46Sr24iQ=" },
      { "partNumber": 3, "checksumSHA256": "dhTaTJHbuLVPoFQAOlrRdoBvB4VM4XaKkxckyT3yGyU=" },
      { "partNumber": 4, "checksumSHA256": "ie4cfnz8WHf2RhLVGYcWZit/RoX5fMj1/aZus9PE2wc=" }
    ]
  }'
Note: The checksums array is optional but recommended. Calculate SHA256 checksum for each file chunk (base64 encoded). Use totalParts = Math.ceil(fileSize / CHUNK_SIZE) where CHUNK_SIZE is typically 5MB.
Response
{
  "uploadInfo": { "uploadId": "hash" },
  "presignedUrls": [{ "partNumber": 1, "uploadUrl": "https://..." }]
}
6.2

Upload Each Chunk

For each presignedUrl[].uploadUrl, send a PUT request with the file chunk. You can upload chunks concurrently (e.g., 6 parallel requests).

PUT to presigned URL
PUT {presignedUrl}
Content-Type: video/mp4
x-amz-checksum-sha256: ucVFyrTpenFDKUW+tkT0CjZd/Wqy1/Fd07fvgLv8yp4=

(file bytes for this chunk)
Note: Include the x-amz-checksum-sha256 header with the base64-encoded SHA256 checksum of the chunk data. This ensures data integrity during upload.
6.3

Complete Upload

Notify the system that all chunks have been uploaded.

curl
curl -X POST "https://api.sportsvisio-api.com/upload/multipart/{uploadId}/complete" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -d '{}'

Node.js Upload Example

Here's a complete Node.js script for uploading videos with resume support:

upload.js
const fs = require('fs');
const axios = require('axios');

// Update this configuration
const CONFIG = {
  baseUrl: "https://api.sportsvisio-api.com",
  token: "YOUR_AUTH_TOKEN",
  deviceId: "DEVICE_ID",
  scheduledGameId: "GAME_ID",
  CHUNK_SIZE: 5 * 1024 * 1024  // 5MB chunks
};

async function upload() {
  const [,, filePath, uploadId] = process.argv;
  if (!filePath) return console.log('Usage: node upload.js <file> [uploadId]');

  const fileName = filePath.split('/').pop();
  const fileSize = fs.statSync(filePath).size;
  const totalParts = Math.ceil(fileSize / CONFIG.CHUNK_SIZE);
  const auth = { headers: { Authorization: `Bearer ${CONFIG.token}` } };

  // Initialize or resume upload session
  let session = uploadId
    ? { uploadInfo: { uploadId } }
    : (await axios.post(
        `${CONFIG.baseUrl}/devices/init-upload-multipart/${CONFIG.scheduledGameId}/${CONFIG.deviceId}`,
        { fileName, fileSize, totalParts, contentType: "video/mp4" },
        auth
      )).data;

  // Get already uploaded parts (for resume)
  const uploadedParts = uploadId
    ? (await axios.get(
        `${CONFIG.baseUrl}/upload/multipart/${session.uploadInfo.uploadId}/parts`,
        auth
      )).data.parts
    : [];

  // Find missing parts
  const missing = Array.from({length: totalParts}, (_, i) => i + 1)
    .filter(p => !uploadedParts.find(up => up.partNumber === p));

  // Get presigned URLs for missing parts
  if (missing.length) {
    session.presignedUrls = (await axios.post(
      `${CONFIG.baseUrl}/upload/multipart/${session.uploadInfo.uploadId}/presigned-urls`,
      { partNumbers: missing },
      auth
    )).data.presignedUrls;
  }

  // Upload each chunk
  for (const { partNumber, uploadUrl } of session.presignedUrls || []) {
    const start = (partNumber - 1) * CONFIG.CHUNK_SIZE;
    const chunkSize = Math.min(CONFIG.CHUNK_SIZE, fileSize - start);
    const chunk = fs.readFileSync(filePath).slice(start, start + chunkSize);

    console.log(`Uploading part ${partNumber}/${totalParts} (${chunk.length} bytes)...`);

    const res = await axios.put(uploadUrl, chunk, {
      headers: { "Content-Type": "video/mp4" }
    });
    const etag = res.headers.etag;
    console.log(`Part ${partNumber} uploaded. ETag: ${etag}`);
    console.log(`Resume command: node upload.js ${filePath} ${session.uploadInfo.uploadId}`);
  }

  // Complete upload
  const result = await axios.post(
    `${CONFIG.baseUrl}/upload/multipart/${session.uploadInfo.uploadId}/complete`,
    {},
    auth
  );
  console.log('Upload completed!', result.data.url);
}

upload().catch(e => console.error('Error:', e.response?.data || e.message));

Usage:

  • Initial upload: node upload.js /path/to/game-video.mp4
  • Resume interrupted upload: node upload.js /path/to/game-video.mp4 {uploadId}
Alternative: For browser-based uploads, consider using Uppy which handles multipart uploads with built-in UI.

Accessing Game Data

Once games are scheduled and processed, you can retrieve game information, AI-generated summaries, and player statistics.

Getting Program Structure (PEDs)

Before accessing game data, you need to know the Program, Event, and Division IDs. Use this endpoint to retrieve the complete hierarchy.

1

Get Programs with PED Structure

curl
curl -X GET "https://api.sportsvisio-api.com/programs/list?includePeds=true" \
  -H "Authorization: Bearer YOUR_TOKEN"

This returns programs for the authenticated user. The includePeds=true parameter includes the full Program/Event/Division hierarchy.

Response
{
  "meta": {
    "total": 1,
    "returned": 1,
    "offset": 0,
    "limit": 25
  },
  "items": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",  // ← This is your programId
      "name": "Elite Basketball League",
      "programType": "league",
      "sportId": "basketball",
      "sport": {
        "id": "basketball",
        "name": "Basketball"
      },
      "programEventAssn": [
        {
          "id": "pea-uuid-1",
          "event": {
            "id": "event-2024-fall",  // ← This is your eventId
            "name": "Fall 2024 Season",
            "eventType": "in-league-play",
            "startTime": 1693526400,
            "endTime": 1701302400
          },
          "programEventDivisionAssn": [
            {
              "id": "ped-uuid-1",
              "division": {
                "id": "div-mens-open",  // ← This is your divisionId
                "name": "Men's Open Division",
                "divisionType": "division"
              }
            },
            {
              "id": "ped-uuid-2",
              "division": {
                "id": "div-womens-rec",  // ← Another divisionId
                "name": "Women's Rec Division",
                "divisionType": "division"
              }
            }
          ]
        },
        {
          "id": "pea-uuid-2",
          "event": {
            "id": "event-2025-spring",  // ← Another eventId
            "name": "Spring 2025 Season",
            "eventType": "in-league-play",
            "startTime": 1704067200,
            "endTime": 1711929600
          },
          "programEventDivisionAssn": [
            {
              "id": "ped-uuid-3",
              "division": {
                "id": "div-competitive",  // ← Another divisionId
                "name": "Competitive Division",
                "divisionType": "division"
              }
            }
          ]
        }
      ],
      "meta": {
        "games": 42,
        "teams": 12,
        "events": 2,
        "divisions": 3
      }
    }
  ]
}
Understanding the Response:
  • items[0].id = programId
  • items[0].programEventAssn[i].event.id = eventId
  • items[0].programEventAssn[i].programEventDivisionAssn[j].division.id = divisionId

Use these IDs together (programId/eventId/divisionId) to access games, teams, and other resources within that specific PED.

Listing Games

Retrieve a paginated list of all scheduled games within a specific Program, Event, and Division (PED).

1

Get Games List

curl
curl -X GET "https://api.sportsvisio-api.com/programs/divisions/games/list/{programId}/{eventId}/{divisionId}?limit=10&offset=0" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "meta": {
    "total": 25,
    "returned": 1,
    "offset": 0,
    "limit": 10
  },
  "items": [
    {
      "id": "2802b3a5-c7b5-49a6-aa89-bbf8e6bffa9d",
      "createdAt": "2024-12-15T10:00:00Z",
      "updatedAt": "2024-12-15T14:30:00Z",
      "startTime": 1734291900,
      "endTime": 1734295500,
      "timezone": "America/New_York",
      "slippageOffset": 120,
      "description": "Jags vs Rockets Showdown",
      "season": "Fall 2024",
      "gameHighlightJobId": "job-abc123",
      "status": "final-approved",
      "statusCode": "normal",
      "irregularStatus": "none",
      "updateStatusQueuedAt": 0,
      "aiAutoProcess": true,
      "notes": "Championship game",
      "aiSummary": "Close game with strong defense",
      "aiConfig": {
        "provider": "AWS",
        "swimlane": "FULL",
        "destination": "s3://bucket/path",
        "devMode": false
      },
      "shortChart": false,
      "teamGameAssn": [
        {
          "id": "tga-home-123",
          "createdAt": "2024-12-15T10:00:00Z",
          "updatedAt": "2024-12-15T14:30:00Z",
          "designation": "Home",
          "color": "Red",
          "score": 85,
          "reportedScore": 85,
          "winAwarded": true,
          "team": {
            "id": "team-rockets-456",
            "createdAt": "2024-01-10T08:00:00Z",
            "updatedAt": "2024-12-10T12:00:00Z",
            "name": "Rockets",
            "shortName": "RKT",
            "description": "City championship team",
            "imageUrl": "https://example.com/rockets-logo.png",
            "defaultColor": "Red",
            "awayColor": "White",
            "location": {
              "lat": 40.7128,
              "long": -74.0060
            },
            "type": "MINE",
            "private": false,
            "sportId": "basketball"
          }
        },
        {
          "id": "tga-away-789",
          "createdAt": "2024-12-15T10:00:00Z",
          "updatedAt": "2024-12-15T14:30:00Z",
          "designation": "Away",
          "color": "Blue",
          "score": 82,
          "reportedScore": 82,
          "winAwarded": false,
          "team": {
            "id": "team-jags-789",
            "createdAt": "2024-01-12T09:00:00Z",
            "updatedAt": "2024-12-12T15:00:00Z",
            "name": "Jaguars",
            "shortName": "JAG",
            "description": "Regional tournament team",
            "imageUrl": "https://example.com/jags-logo.png",
            "defaultColor": "Blue",
            "awayColor": "Gray",
            "location": {
              "lat": 40.7580,
              "long": -73.9855
            },
            "type": "MINE",
            "private": false,
            "sportId": "basketball"
          }
        }
      ]
    }
  ]
}

The response includes pagination metadata (meta) and an array of games (items). Use the limit and offset query parameters to paginate through results.

Getting Basic Game Information

Retrieve game metadata, teams, rosters, and associated video recordings at any point in the workflow.

1

Get Scheduled Game

curl
curl -X GET "https://api.sportsvisio-api.com/scheduled-games/{gameId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "id": "2802b3a5-c7b5-49a6-aa89-bbf8e6bffa9d",
  "startTime": 1734291900,
  "endTime": 1734295500,
  "status": "final-approved",
  "timezone": "America/New_York",
  "events": [...],
  "deviceGameAssn": [...],
  "teamGameAssn": [
    {
      "designation": "Away",
      "score": 10,
      "team": { "id": "x", "name": "Team 1", "sportId": "basketball" },
      "rosterAssn": [
        { "number": "1", "teamPlayer": { "name": "Player Name" } }
      ]
    },
    {
      "designation": "Home",
      "score": 11,
      "team": { "id": "y", "name": "Team 2", "sportId": "basketball" },
      "rosterAssn": [
        { "number": "3", "teamPlayer": { "name": "Player Name" } }
      ]
    }
  ],
  "gameHighlight": {
    "url": "https://prod-video.../example.mp4",
    "duration": 90,
    "thumbnailUrl": "https://....thumbnail.jpg"
  }
}

Key Response Fields

FieldDescription
idUnique ID for the scheduled game
startTime, endTimeStart and end times in epoch seconds
statusProcessing status: scheduled, annotating, qa-review, final-approved
timezoneTime zone for the game's local time
eventsGame events data (periods, timeouts, etc.)
deviceGameAssnAssociated recording devices and their positions
teamGameAssnTeams, scores, and rosters for the game
gameHighlightAuto-generated highlight video (when available)

Getting AI Summaries

Important: You can only read stats, summaries, or insights if the game is in final-approved status. If you just created the game, you need to wait for processing to complete (typically a few hours).
2

Get Game Insights

Retrieve AI-generated game analysis including performance summaries and trends.

curl
curl -X GET "https://api.sportsvisio-api.com/scheduled-games/insights/{gameId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "id": "4459999d-db3f-4d97-89aa-b0448f06172f",
  "createdAt": "2025-11-12T11:26:23.000Z",
  "updatedAt": "2025-11-12T11:26:23.000Z",
  "deletedAt": null,
  "timeline": null,
  "coachInsights": null,
  "aiSummary": "In a commanding straight-set victory, Team A dominated with a relentless service assault. Player 8 delivered 11 aces on 21 attempts while committing only two faults. Defensively, the back row was stout, highlighted by six digs each from key players..."
}

Response Fields

FieldDescription
idUnique ID for the insights record
aiSummaryAI-generated narrative summary of the game, highlighting key performances and plays
timelineGame timeline data (when available)
coachInsightsCoach-specific analysis and recommendations (when available)

Getting Player Statistics

3

Get Player Stats Rollup

Retrieve aggregated statistics for each player in a game.

curl
curl -X GET "https://api.sportsvisio-api.com/annotations/stats/game-player-rollup/{gameId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
[
  {
    "summary": {
      "points": 24,
      "rebounds": 8,
      "assists": 6,
      "steals": 3,
      "blocks": 1,
      "turnovers": 2
    },
    "summaryType": "game",
    "player": {
      "id": "1",
      "name": "Michael Jordan",
      "number": "23",
      "team": {
        "id": "x",
        "name": "Team 1",
        "sportId": "basketball"
      },
      "playerProfileAssn": {
        "profile": { "firstName": "Michael", "lastName": "Jordan" }
      }
    }
  }
]

Response Fields

FieldTypeDescription
summaryobjectStatistical summary for the player. Fields depend on sport—for basketball: points, rebounds, assists, steals, blocks, turnovers; for volleyball: kills, aces, digs, etc. See Swagger docs for BasketballStatSummary or VolleyballStatSummary.
summaryTypestringScope of the summary (e.g., "game")
player.idstringInternal identifier for the player within the system
player.namestringName registered in the game data (may be empty if using profile info)
player.numberstringJersey number used by the player in that specific game
player.team.idstringUnique identifier of the team the player belongs to in that game
player.team.namestringTeam name as displayed in the game
player.team.sportIdstringIdentifies the sport type—determines which stats appear in summary
player.playerProfileAssnobject | nullLinks to the player's user profile if available. null if the player isn't associated with a registered user.
player.playerProfileAssn.profile.firstNamestringPlayer's first name (from profile association)
player.playerProfileAssn.profile.lastNamestringPlayer's last name (from profile association)
Tip: To build season leaderboards, call this endpoint for each completed game in the division and aggregate the stats per player across all games.

API Reference

Complete reference for all available endpoints. Click any endpoint to expand details.

No endpoints match your search.

Users

1 endpoint
GET /users/{userId} Get User

Returns User record of the currently authenticated user, unless optional userId specified.

Parameters

NameInTypeDescription
userIdpathstringOptional String guid of user. If omitted, user record for authenticated user is returned
AuthorizationheaderstringSession token for current user

Responses

200 User found.
Response Body (200)
{ "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string", "account": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "inactive": true, "accountType": "coach", "company": "string", "companyUrl": "string", "contactPhone": "string", "subscription": "basic", "owner": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" } }, "accountRoleAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "accepted": true, "roles": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "role": "string", "accountMemberAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" } } ], "user": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" }, "account": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "inactive": true, "accountType": "coach", "company": "string", "companyUrl": "string", "contactPhone": "string", "subscription": "basic", "owner": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" } } } ], "programAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "rootAdmin": true, "divisionsAdmin": true, "eventsAdmin": true, "teamsAdmin": true, "record": true, "annotate": true, "user": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" }, "program": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "Tournament Finals", "programType": "generic", "imageUrl": "string", "company": "string", "companyUrl": "string", "contactPhone": "string", "private": true, "inactive": true, "isApiClient": true, "rollup": true, "autoClipsEnabled": true, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "website": "string" }, "watermark": "custom", "watermarkMetadata": { "width": 0, "height": 0, "s3Url": "string", "publicUrl": "string", "position": "string" }, "sportId": "string" } } ], "programEventAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "rootAdmin": true, "record": true, "annotate": true } ], "playerProfile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": 0, "long": 0 }, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "facebook_username": "string", "instagram_username": "string", "twitter_username": "string", "tiktok_username": "string" }, "vitals": { "bio": "string", "height": 0, "wingspan": 0, "preferredPositions": [ "string" ], "graduatingClass": "string", "hometown": "string", "bannerImageUrl": "string" }, "user": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" } } }
curl
curl -X GET "https://api.sportsvisio-api.com/users/{userId}" \
  -H "Authorization: Bearer YOUR_TOKEN"

Annotation Statistics

1 endpoint
GET /annotations/stats/game-player-rollup/{scheduledGameId} Rollup stats for each player in the specified game uuid

Parameters

NameInTypeDescription
scheduledGameIdpathstringScheduled Game uuid to fetch
NameInTypeDescription
AuthorizationheaderstringSession token for current user

Responses

200 Success
Response Body (200)
[ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "summary": { "totalGames": 0, "trophies": { "potg": 0, "sniper": 0, "thief": 0, "smoothOperator": 0, "dimer": 0, "doubleBadge": 0, "thousandPC": 0, "svVet": 0 }, "fieldGoals": { "attempts": 0, "made": 0, "missed": 0 }, "threePoints": { "attempts": 0, "made": 0, "missed": 0 }, "twoPoints": { "attempts": 0, "made": 0, "missed": 0 }, "onePoints": { "attempts": 0, "made": 0, "missed": 0 }, "freeThrows": { "attempts": 0, "made": 0, "missed": 0 }, "totalPoints": 0, "offensiveRebounds": 0, "defensiveRebounds": 0, "totalRebounds": 0, "assists": 0, "steals": 0, "blocks": 0, "turnovers": 0, "fouls": 0, "totalMinutes": 0, "pso": 0, "pie": 0, "accumulatedPie": 0, "tpsoc": 0, "tpaoc": 0, "lt_f_ppr": 0, "possessions": 0, "possessionsOff": 0 }, "summaryType": "game", "source": "derived", "game": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "startTime": 1631216366, "endTime": 1631216366, "timezone": "America/New_York", "slippageOffset": 120, "description": "Jags vs Rockets Showdown", "season": "Fall 2022", "gameHighlightJobId": "string", "status": "pending-setup", "statusCode": "normal", "irregularStatus": "none", "updateStatusQueuedAt": 0, "aiAutoProcess": true, "notes": "Custom note from annotator", "aiSummary": "string", "aiConfig": { "provider": "AWS", "swimlane": "FULL", "destination": "string", "devMode": true }, "shortChart": true }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": 0, "long": 0 }, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "facebook_username": "string", "instagram_username": "string", "twitter_username": "string", "tiktok_username": "string" }, "vitals": { "bio": "string", "height": 0, "wingspan": 0, "preferredPositions": [ "string" ], "graduatingClass": "string", "hometown": "string", "bannerImageUrl": "string" }, "user": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" } }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": 0, "long": 0 }, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "facebook_username": "string", "instagram_username": "string", "twitter_username": "string", "tiktok_username": "string" }, "vitals": { "bio": "string", "height": 0, "wingspan": 0, "preferredPositions": [ "string" ], "graduatingClass": "string", "hometown": "string", "bannerImageUrl": "string" }, "user": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" } }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": 0, "long": 0 }, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "facebook_username": "string", "instagram_username": "string", "twitter_username": "string", "tiktok_username": "string" }, "vitals": { "bio": "string", "height": 0, "wingspan": 0, "preferredPositions": [ ... ], "graduatingClass": "string", "hometown": "string", "bannerImageUrl": "string" }, "user": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" } }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": ..., "createdAt": ..., "updatedAt": ..., "firstName": ..., "lastName": ..., "imageUrl": ..., "nickName": ..., "location": ..., "socials": ..., "vitals": ..., "user": ... }, "player": { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "number": ..., "imageUrl": ..., "inactive": ..., "isPhantom": ..., "playerProfileAssn": ... } } } } } } } }, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": 0, "long": 0 }, "type": "MINE", "private": true, "sportId": "string" }, "annotationActors": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "identifier": "string", "type": "player", "designation": "string", "qualifiers": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "qualifier": "string", "value": "string", "actor": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "identifier": "string", "type": "player", "designation": "string", "qualifiers": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "qualifier": "string", "value": "string", "actor": { "id": ..., "createdAt": ..., "updatedAt": ..., "identifier": ..., "type": ..., "designation": ..., "qualifiers": ..., "actions": ..., "secondaryActions": ..., "annotation": ..., "teamPlayer": ... } } ], "actions": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "action": "jump-ball", "qualifiers": [ ... ], "color": "orange", "startTime": "00:00:00", "startFrame": 0, "confidence": 0, "location": "string", "clipUrl": "string", "fireballUrl": "string", "clipThumbUrl": "string", "jobId": "string", "tags": [ ... ], "approvedAt": "string", "rejectedAt": "string", "aiConfig": { "provider": ..., "swimlane": ..., "destination": ..., "metadata": ..., "devMode": ... }, "aiStatus": { "status": ..., "percent": ..., "errors": ... } } ], "secondaryActions": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "action": "jump-ball", "qualifiers": [ ... ], "color": "orange", "startTime": "00:00:00", "startFrame": 0, "confidence": 0, "location": "string", "clipUrl": "string", "fireballUrl": "string", "clipThumbUrl": "string", "jobId": "string", "tags": [ ... ], "approvedAt": "string", "rejectedAt": "string", "aiConfig": { "provider": ..., "swimlane": ..., "destination": ..., "metadata": ..., "devMode": ... }, "aiStatus": { "status": ..., "percent": ..., "errors": ... } } ], "annotation": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "frameResolution": "string", "frameRate": 0, "source": "ai" }, "teamPlayer": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": ..., "createdAt": ..., "updatedAt": ..., "firstName": ..., "lastName": ..., "imageUrl": ..., "nickName": ..., "location": ..., "socials": ..., "vitals": ..., "user": ... }, "player": { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "number": ..., "imageUrl": ..., "inactive": ..., "isPhantom": ..., "playerProfileAssn": ... } } } } } ], "actions": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "action": "jump-ball", "qualifiers": [ [ ... ] ], "color": "orange", "startTime": "00:00:00", "startFrame": 0, "confidence": 0, "location": "string", "clipUrl": "string", "fireballUrl": "string", "clipThumbUrl": "string", "jobId": "string", "tags": [ "string" ], "approvedAt": "string", "rejectedAt": "string", "aiConfig": { "provider": "AWS", "swimlane": "FULL", "destination": "string", "devMode": true }, "aiStatus": { "status": "starting", "percent": 0, "errors": [ { "occurredAt": "string", "severity": "warn | critical", "message": "string", "code": "string" } ] } } ], "secondaryActions": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "action": "jump-ball", "qualifiers": [ [ ... ] ], "color": "orange", "startTime": "00:00:00", "startFrame": 0, "confidence": 0, "location": "string", "clipUrl": "string", "fireballUrl": "string", "clipThumbUrl": "string", "jobId": "string", "tags": [ "string" ], "approvedAt": "string", "rejectedAt": "string", "aiConfig": { "provider": "AWS", "swimlane": "FULL", "destination": "string", "devMode": true }, "aiStatus": { "status": "starting", "percent": 0, "errors": [ { "occurredAt": "string", "severity": "warn | critical", "message": "string", "code": "string" } ] } } ], "annotation": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "frameResolution": "string", "frameRate": 0, "source": "ai" }, "teamPlayer": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": 0, "long": 0 }, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "facebook_username": "string", "instagram_username": "string", "twitter_username": "string", "tiktok_username": "string" }, "vitals": { "bio": "string", "height": 0, "wingspan": 0, "preferredPositions": [ "string" ], "graduatingClass": "string", "hometown": "string", "bannerImageUrl": "string" }, "user": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" } }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": ..., "long": ... }, "socials": { "facebook": ..., "instagram": ..., "tiktok": ..., "facebook_username": ..., "instagram_username": ..., "twitter_username": ..., "tiktok_username": ... }, "vitals": { "bio": ..., "height": ..., "wingspan": ..., "preferredPositions": ..., "graduatingClass": ..., "hometown": ..., "bannerImageUrl": ... }, "user": { "id": ..., "createdAt": ..., "updatedAt": ..., "email": ..., "inactive": ..., "rootAdmin": ..., "companyRole": ... } }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": ..., "createdAt": ..., "updatedAt": ..., "imageUrl": ..., "profile": ..., "player": ... } } } } } } } ], "accountFollows": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "accepted": true, "managing": true, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": 0, "long": 0 }, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "facebook_username": "string", "instagram_username": "string", "twitter_username": "string", "tiktok_username": "string" }, "vitals": { "bio": "string", "height": 0, "wingspan": 0, "preferredPositions": [ "string" ], "graduatingClass": "string", "hometown": "string", "bannerImageUrl": "string" }, "user": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" } }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": ..., "long": ... }, "socials": { "facebook": ..., "instagram": ..., "tiktok": ..., "facebook_username": ..., "instagram_username": ..., "twitter_username": ..., "tiktok_username": ... }, "vitals": { "bio": ..., "height": ..., "wingspan": ..., "preferredPositions": ..., "graduatingClass": ..., "hometown": ..., "bannerImageUrl": ... }, "user": { "id": ..., "createdAt": ..., "updatedAt": ..., "email": ..., "inactive": ..., "rootAdmin": ..., "companyRole": ... } }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": ..., "createdAt": ..., "updatedAt": ..., "imageUrl": ..., "profile": ..., "player": ... } } } } }, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": 0, "long": 0 }, "type": "MINE", "private": true, "sportId": "string" }, "annotationActors": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "identifier": "string", "type": "player", "designation": "string", "qualifiers": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "qualifier": "string", "value": "string", "actor": { "id": ..., "createdAt": ..., "updatedAt": ..., "identifier": ..., "type": ..., "designation": ..., "qualifiers": ..., "actions": ..., "secondaryActions": ..., "annotation": ..., "teamPlayer": ... } } ], "actions": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "action": "jump-ball", "qualifiers": [ ... ], "color": "orange", "startTime": "00:00:00", "startFrame": 0, "confidence": 0, "location": "string", "clipUrl": "string", "fireballUrl": "string", "clipThumbUrl": "string", "jobId": "string", "tags": [ ... ], "approvedAt": "string", "rejectedAt": "string", "aiConfig": { "provider": ..., "swimlane": ..., "destination": ..., "metadata": ..., "devMode": ... }, "aiStatus": { "status": ..., "percent": ..., "errors": ... } } ], "secondaryActions": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "action": "jump-ball", "qualifiers": [ ... ], "color": "orange", "startTime": "00:00:00", "startFrame": 0, "confidence": 0, "location": "string", "clipUrl": "string", "fireballUrl": "string", "clipThumbUrl": "string", "jobId": "string", "tags": [ ... ], "approvedAt": "string", "rejectedAt": "string", "aiConfig": { "provider": ..., "swimlane": ..., "destination": ..., "metadata": ..., "devMode": ... }, "aiStatus": { "status": ..., "percent": ..., "errors": ... } } ], "annotation": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "frameResolution": "string", "frameRate": 0, "source": "ai" }, "teamPlayer": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": ..., "createdAt": ..., "updatedAt": ..., "firstName": ..., "lastName": ..., "imageUrl": ..., "nickName": ..., "location": ..., "socials": ..., "vitals": ..., "user": ... }, "player": { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "number": ..., "imageUrl": ..., "inactive": ..., "isPhantom": ..., "playerProfileAssn": ... } } } } ], "accountFollows": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "accepted": true, "managing": true, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": ..., "createdAt": ..., "updatedAt": ..., "firstName": ..., "lastName": ..., "imageUrl": ..., "nickName": ..., "location": ..., "socials": ..., "vitals": ..., "user": ... }, "player": { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "number": ..., "imageUrl": ..., "inactive": ..., "isPhantom": ..., "playerProfileAssn": ... } }, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": ..., "long": ... }, "type": "MINE", "private": true, "sportId": "string" }, "annotationActors": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "identifier": ..., "type": ..., "designation": ..., "qualifiers": ..., "actions": ..., "secondaryActions": ..., "annotation": ..., "teamPlayer": ... } ], "accountFollows": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "accepted": ..., "managing": ..., "player": ..., "account": ..., "order": ... } ], "gameStatSummaries": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "summary": ..., "shotChartData": ..., "summaryType": ..., "source": ..., "game": ..., "player": ..., "event": ..., "sport": ... } ], "teamPlayerProgramEventDivisionAssns": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "programEventDivisionAssn": ..., "team": ..., "teamPlayer": ..., "number": ..., "inactive": ... } ] }, "account": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "inactive": true }, "order": 0 } ], "gameStatSummaries": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "summary": { "totalGames": 0, "trophies": { "potg": 0, "sniper": 0, "thief": 0, "smoothOperator": 0, "dimer": 0, "doubleBadge": 0, "thousandPC": 0, "svVet": 0 }, "fieldGoals": { "attempts": 0, "made": 0, "missed": 0 }, "threePoints": { "attempts": 0, "made": 0, "missed": 0 }, "twoPoints": { "attempts": 0, "made": 0, "missed": 0 }, "onePoints": { "attempts": 0, "made": 0, "missed": 0 }, "freeThrows": { "attempts": 0, "made": 0, "missed": 0 }, "totalPoints": 0, "offensiveRebounds": 0, "defensiveRebounds": 0, "totalRebounds": 0, "assists": 0, "steals": 0, "blocks": 0, "turnovers": 0, "fouls": 0, "totalMinutes": 0, "pso": 0, "pie": 0, "accumulatedPie": 0, "tpsoc": 0, "tpaoc": 0, "lt_f_ppr": 0, "possessions": 0, "possessionsOff": 0 }, "summaryType": "game", "source": "derived", "game": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "startTime": 1631216366, "endTime": 1631216366, "timezone": "America/New_York", "slippageOffset": 120, "description": "Jags vs Rockets Showdown", "season": "Fall 2022", "gameHighlightJobId": "string", "status": "pending-setup", "statusCode": "normal", "irregularStatus": "none", "updateStatusQueuedAt": 0, "aiAutoProcess": true, "notes": "Custom note from annotator", "aiSummary": "string", "aiConfig": { "provider": "AWS", "swimlane": "FULL", "destination": "string", "devMode": true }, "shortChart": true }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": ..., "createdAt": ..., "updatedAt": ..., "firstName": ..., "lastName": ..., "imageUrl": ..., "nickName": ..., "location": ..., "socials": ..., "vitals": ..., "user": ... }, "player": { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "number": ..., "imageUrl": ..., "inactive": ..., "isPhantom": ..., "playerProfileAssn": ... } }, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": ..., "long": ... }, "type": "MINE", "private": true, "sportId": "string" }, "annotationActors": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "identifier": ..., "type": ..., "designation": ..., "qualifiers": ..., "actions": ..., "secondaryActions": ..., "annotation": ..., "teamPlayer": ... } ], "accountFollows": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "accepted": ..., "managing": ..., "player": ..., "account": ..., "order": ... } ], "gameStatSummaries": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "summary": ..., "shotChartData": ..., "summaryType": ..., "source": ..., "game": ..., "player": ..., "event": ..., "sport": ... } ], "teamPlayerProgramEventDivisionAssns": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "programEventDivisionAssn": ..., "team": ..., "teamPlayer": ..., "number": ..., "inactive": ... } ] }, "event": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "eventType": "tournament-play", "startTime": 0, "endTime": 0, "imageUrl": "string", "private": true }, "sport": { "id": "basketball", "createdAt": "string", "updatedAt": "string", "name": "string", "programs": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "shortName": ..., "programType": ..., "imageUrl": ..., "company": ..., "companyUrl": ..., "contactPhone": ..., "private": ..., "inactive": ..., "isApiClient": ..., "rollup": ..., "autoClipsEnabled": ..., "socials": ..., "watermark": ..., "watermarkMetadata": ..., "sportId": ... } ], "teams": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "shortName": ..., "description": ..., "imageUrl": ..., "defaultColor": ..., "awayColor": ..., "location": ..., "type": ..., "private": ..., "sportId": ... } ], "gameSummaries": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "summary": ..., "shotChartData": ..., "summaryType": ..., "source": ... } ] } } ], "teamPlayerProgramEventDivisionAssns": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "programEventDivisionAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "teamPlayer": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "number": "string", "inactive": true } ] }, "account": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "inactive": true }, "order": 0 } ], "gameStatSummaries": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "summary": { "totalGames": 0, "trophies": { "potg": 0, "sniper": 0, "thief": 0, "smoothOperator": 0, "dimer": 0, "doubleBadge": 0, "thousandPC": 0, "svVet": 0 }, "fieldGoals": { "attempts": 0, "made": 0, "missed": 0 }, "threePoints": { "attempts": 0, "made": 0, "missed": 0 }, "twoPoints": { "attempts": 0, "made": 0, "missed": 0 }, "onePoints": { "attempts": 0, "made": 0, "missed": 0 }, "freeThrows": { "attempts": 0, "made": 0, "missed": 0 }, "totalPoints": 0, "offensiveRebounds": 0, "defensiveRebounds": 0, "totalRebounds": 0, "assists": 0, "steals": 0, "blocks": 0, "turnovers": 0, "fouls": 0, "totalMinutes": 0, "pso": 0, "pie": 0, "accumulatedPie": 0, "tpsoc": 0, "tpaoc": 0, "lt_f_ppr": 0, "possessions": 0, "possessionsOff": 0 }, "summaryType": "game", "source": "derived", "game": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "startTime": 1631216366, "endTime": 1631216366, "timezone": "America/New_York", "slippageOffset": 120, "description": "Jags vs Rockets Showdown", "season": "Fall 2022", "gameHighlightJobId": "string", "status": "pending-setup", "statusCode": "normal", "irregularStatus": "none", "updateStatusQueuedAt": 0, "aiAutoProcess": true, "notes": "Custom note from annotator", "aiSummary": "string", "aiConfig": { "provider": "AWS", "swimlane": "FULL", "destination": "string", "devMode": true }, "shortChart": true }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": 0, "long": 0 }, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "facebook_username": "string", "instagram_username": "string", "twitter_username": "string", "tiktok_username": "string" }, "vitals": { "bio": "string", "height": 0, "wingspan": 0, "preferredPositions": [ "string" ], "graduatingClass": "string", "hometown": "string", "bannerImageUrl": "string" }, "user": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" } }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": ..., "long": ... }, "socials": { "facebook": ..., "instagram": ..., "tiktok": ..., "facebook_username": ..., "instagram_username": ..., "twitter_username": ..., "tiktok_username": ... }, "vitals": { "bio": ..., "height": ..., "wingspan": ..., "preferredPositions": ..., "graduatingClass": ..., "hometown": ..., "bannerImageUrl": ... }, "user": { "id": ..., "createdAt": ..., "updatedAt": ..., "email": ..., "inactive": ..., "rootAdmin": ..., "companyRole": ... } }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": ..., "createdAt": ..., "updatedAt": ..., "imageUrl": ..., "profile": ..., "player": ... } } } } }, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": 0, "long": 0 }, "type": "MINE", "private": true, "sportId": "string" }, "annotationActors": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "identifier": "string", "type": "player", "designation": "string", "qualifiers": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "qualifier": "string", "value": "string", "actor": { "id": ..., "createdAt": ..., "updatedAt": ..., "identifier": ..., "type": ..., "designation": ..., "qualifiers": ..., "actions": ..., "secondaryActions": ..., "annotation": ..., "teamPlayer": ... } } ], "actions": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "action": "jump-ball", "qualifiers": [ ... ], "color": "orange", "startTime": "00:00:00", "startFrame": 0, "confidence": 0, "location": "string", "clipUrl": "string", "fireballUrl": "string", "clipThumbUrl": "string", "jobId": "string", "tags": [ ... ], "approvedAt": "string", "rejectedAt": "string", "aiConfig": { "provider": ..., "swimlane": ..., "destination": ..., "metadata": ..., "devMode": ... }, "aiStatus": { "status": ..., "percent": ..., "errors": ... } } ], "secondaryActions": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "action": "jump-ball", "qualifiers": [ ... ], "color": "orange", "startTime": "00:00:00", "startFrame": 0, "confidence": 0, "location": "string", "clipUrl": "string", "fireballUrl": "string", "clipThumbUrl": "string", "jobId": "string", "tags": [ ... ], "approvedAt": "string", "rejectedAt": "string", "aiConfig": { "provider": ..., "swimlane": ..., "destination": ..., "metadata": ..., "devMode": ... }, "aiStatus": { "status": ..., "percent": ..., "errors": ... } } ], "annotation": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "frameResolution": "string", "frameRate": 0, "source": "ai" }, "teamPlayer": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": ..., "createdAt": ..., "updatedAt": ..., "firstName": ..., "lastName": ..., "imageUrl": ..., "nickName": ..., "location": ..., "socials": ..., "vitals": ..., "user": ... }, "player": { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "number": ..., "imageUrl": ..., "inactive": ..., "isPhantom": ..., "playerProfileAssn": ... } } } } ], "accountFollows": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "accepted": true, "managing": true, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": ..., "createdAt": ..., "updatedAt": ..., "firstName": ..., "lastName": ..., "imageUrl": ..., "nickName": ..., "location": ..., "socials": ..., "vitals": ..., "user": ... }, "player": { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "number": ..., "imageUrl": ..., "inactive": ..., "isPhantom": ..., "playerProfileAssn": ... } }, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": ..., "long": ... }, "type": "MINE", "private": true, "sportId": "string" }, "annotationActors": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "identifier": ..., "type": ..., "designation": ..., "qualifiers": ..., "actions": ..., "secondaryActions": ..., "annotation": ..., "teamPlayer": ... } ], "accountFollows": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "accepted": ..., "managing": ..., "player": ..., "account": ..., "order": ... } ], "gameStatSummaries": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "summary": ..., "shotChartData": ..., "summaryType": ..., "source": ..., "game": ..., "player": ..., "event": ..., "sport": ... } ], "teamPlayerProgramEventDivisionAssns": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "programEventDivisionAssn": ..., "team": ..., "teamPlayer": ..., "number": ..., "inactive": ... } ] }, "account": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "inactive": true }, "order": 0 } ], "gameStatSummaries": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "summary": { "totalGames": 0, "trophies": { "potg": 0, "sniper": 0, "thief": 0, "smoothOperator": 0, "dimer": 0, "doubleBadge": 0, "thousandPC": 0, "svVet": 0 }, "fieldGoals": { "attempts": 0, "made": 0, "missed": 0 }, "threePoints": { "attempts": 0, "made": 0, "missed": 0 }, "twoPoints": { "attempts": 0, "made": 0, "missed": 0 }, "onePoints": { "attempts": 0, "made": 0, "missed": 0 }, "freeThrows": { "attempts": 0, "made": 0, "missed": 0 }, "totalPoints": 0, "offensiveRebounds": 0, "defensiveRebounds": 0, "totalRebounds": 0, "assists": 0, "steals": 0, "blocks": 0, "turnovers": 0, "fouls": 0, "totalMinutes": 0, "pso": 0, "pie": 0, "accumulatedPie": 0, "tpsoc": 0, "tpaoc": 0, "lt_f_ppr": 0, "possessions": 0, "possessionsOff": 0 }, "summaryType": "game", "source": "derived", "game": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "startTime": 1631216366, "endTime": 1631216366, "timezone": "America/New_York", "slippageOffset": 120, "description": "Jags vs Rockets Showdown", "season": "Fall 2022", "gameHighlightJobId": "string", "status": "pending-setup", "statusCode": "normal", "irregularStatus": "none", "updateStatusQueuedAt": 0, "aiAutoProcess": true, "notes": "Custom note from annotator", "aiSummary": "string", "aiConfig": { "provider": "AWS", "swimlane": "FULL", "destination": "string", "devMode": true }, "shortChart": true }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": ..., "createdAt": ..., "updatedAt": ..., "firstName": ..., "lastName": ..., "imageUrl": ..., "nickName": ..., "location": ..., "socials": ..., "vitals": ..., "user": ... }, "player": { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "number": ..., "imageUrl": ..., "inactive": ..., "isPhantom": ..., "playerProfileAssn": ... } }, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": ..., "long": ... }, "type": "MINE", "private": true, "sportId": "string" }, "annotationActors": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "identifier": ..., "type": ..., "designation": ..., "qualifiers": ..., "actions": ..., "secondaryActions": ..., "annotation": ..., "teamPlayer": ... } ], "accountFollows": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "accepted": ..., "managing": ..., "player": ..., "account": ..., "order": ... } ], "gameStatSummaries": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "summary": ..., "shotChartData": ..., "summaryType": ..., "source": ..., "game": ..., "player": ..., "event": ..., "sport": ... } ], "teamPlayerProgramEventDivisionAssns": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "programEventDivisionAssn": ..., "team": ..., "teamPlayer": ..., "number": ..., "inactive": ... } ] }, "event": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "eventType": "tournament-play", "startTime": 0, "endTime": 0, "imageUrl": "string", "private": true }, "sport": { "id": "basketball", "createdAt": "string", "updatedAt": "string", "name": "string", "programs": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "shortName": ..., "programType": ..., "imageUrl": ..., "company": ..., "companyUrl": ..., "contactPhone": ..., "private": ..., "inactive": ..., "isApiClient": ..., "rollup": ..., "autoClipsEnabled": ..., "socials": ..., "watermark": ..., "watermarkMetadata": ..., "sportId": ... } ], "teams": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "shortName": ..., "description": ..., "imageUrl": ..., "defaultColor": ..., "awayColor": ..., "location": ..., "type": ..., "private": ..., "sportId": ... } ], "gameSummaries": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "summary": ..., "shotChartData": ..., "summaryType": ..., "source": ... } ] } } ], "teamPlayerProgramEventDivisionAssns": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "programEventDivisionAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "teamPlayer": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "number": "string", "inactive": true } ] }, "event": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "eventType": "tournament-play", "startTime": 0, "endTime": 0, "imageUrl": "string", "private": true }, "sport": { "id": "basketball", "createdAt": "string", "updatedAt": "string", "name": "string", "programs": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "Tournament Finals", "programType": "generic", "imageUrl": "string", "company": "string", "companyUrl": "string", "contactPhone": "string", "private": true, "inactive": true, "isApiClient": true, "rollup": true, "autoClipsEnabled": true, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "website": "string" }, "watermark": "custom", "watermarkMetadata": { "width": 0, "height": 0, "s3Url": "string", "publicUrl": "string", "position": "string" }, "sportId": "string" } ], "teams": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": 0, "long": 0 }, "type": "MINE", "private": true, "sportId": "string" } ], "gameSummaries": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "summary": { "totalGames": 0, "trophies": { "potg": 0, "sniper": 0, "thief": 0, "smoothOperator": 0, "dimer": 0, "doubleBadge": 0, "thousandPC": 0, "svVet": 0 }, "fieldGoals": { "attempts": 0, "made": 0, "missed": 0 }, "threePoints": { "attempts": 0, "made": 0, "missed": 0 }, "twoPoints": { "attempts": 0, "made": 0, "missed": 0 }, "onePoints": { "attempts": 0, "made": 0, "missed": 0 }, "freeThrows": { "attempts": 0, "made": 0, "missed": 0 }, "totalPoints": 0, "offensiveRebounds": 0, "defensiveRebounds": 0, "totalRebounds": 0, "assists": 0, "steals": 0, "blocks": 0, "turnovers": 0, "fouls": 0, "totalMinutes": 0, "pso": 0, "pie": 0, "accumulatedPie": 0, "tpsoc": 0, "tpaoc": 0, "lt_f_ppr": 0, "possessions": 0, "possessionsOff": 0 }, "summaryType": "game", "source": "derived" } ] } } ], "teamPlayerProgramEventDivisionAssns": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "programEventDivisionAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "teamPlayer": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "number": "string", "inactive": true } ] }, "event": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "eventType": "tournament-play", "startTime": 0, "endTime": 0, "imageUrl": "string", "private": true }, "sport": { "id": "basketball", "createdAt": "string", "updatedAt": "string", "name": "string", "programs": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "Tournament Finals", "programType": "generic", "imageUrl": "string", "company": "string", "companyUrl": "string", "contactPhone": "string", "private": true, "inactive": true, "isApiClient": true, "rollup": true, "autoClipsEnabled": true, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "website": "string" }, "watermark": "custom", "watermarkMetadata": { "width": 0, "height": 0, "s3Url": "string", "publicUrl": "string", "position": "string" }, "sportId": "string" } ], "teams": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": 0, "long": 0 }, "type": "MINE", "private": true, "sportId": "string" } ], "gameSummaries": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "summary": { "totalGames": 0, "trophies": { "potg": 0, "sniper": 0, "thief": 0, "smoothOperator": 0, "dimer": 0, "doubleBadge": 0, "thousandPC": 0, "svVet": 0 }, "fieldGoals": { "attempts": 0, "made": 0, "missed": 0 }, "threePoints": { "attempts": 0, "made": 0, "missed": 0 }, "twoPoints": { "attempts": 0, "made": 0, "missed": 0 }, "onePoints": { "attempts": 0, "made": 0, "missed": 0 }, "freeThrows": { "attempts": 0, "made": 0, "missed": 0 }, "totalPoints": 0, "offensiveRebounds": 0, "defensiveRebounds": 0, "totalRebounds": 0, "assists": 0, "steals": 0, "blocks": 0, "turnovers": 0, "fouls": 0, "totalMinutes": 0, "pso": 0, "pie": 0, "accumulatedPie": 0, "tpsoc": 0, "tpaoc": 0, "lt_f_ppr": 0, "possessions": 0, "possessionsOff": 0 }, "summaryType": "game", "source": "derived" } ] } } ]
curl
curl -X GET "https://api.sportsvisio-api.com/annotations/stats/game-player-rollup/{scheduledGameId}" \
  -H "Authorization: Bearer YOUR_TOKEN"

Uploads

1 endpoint
POST /upload Upload Image to CDN

Uploads an image to FileStack CDN and returns a storeable filestack URL for image.

Parameters

NameInTypeDescription
AuthorizationheaderstringSession token for current user

Responses

201
curl
curl -X POST "https://api.sportsvisio-api.com/upload" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Multipart Uploads

1 endpoint
POST /upload/multipart/{uploadId}/complete Complete Multipart Upload

Completes the multipart upload and returns the final file URL. Optionally validates SHA256 checksum.

Parameters

NameInTypeDescription
uploadIdpathstringMultipart upload ID
NameInTypeDescription
AuthorizationheaderstringSession token for current user

Responses

200 Multipart upload completed successfully
curl
curl -X POST "https://api.sportsvisio-api.com/upload/multipart/{uploadId}/complete" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Programs

1 endpoint
GET /programs/list/{accountId} Get paginated list of Programs

Returns the Programs of the specified accountId or currently authenticated user

Parameters

NameInTypeDescription
accountIdpathstringOptional String guid of account. If omitted, account record for authenticated user is used
columnquerystringColumn to sort on
directionquerystringSort order
limitquerynumberLimit of records to return
startquerynumberStarting offset of return records
sportIdquerystringSearch value to filter results by sport id
searchquerystringSearch value to filter results by program name or id
programTypequerystringSearch value to filter results by program type
assignedquerybooleanWhen true returns programs that are directly assigned to authenticated user
havingGamesquerybooleanWhen true returns programs that have scheduled games
privatequerybooleanPublic / private status
isApiClientquerybooleanWhen true returns programs that are flagged as clients of the API
includePedsquerybooleanWhen true include peds in results
AuthorizationheaderstringSession token for current user

Responses

200
Response Body (200)
{ "meta": { "total": 0, "returned": 0, "offset": 0, "limit": 0 }, "items": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "Tournament Finals", "programType": "generic", "imageUrl": "string", "company": "string", "companyUrl": "string", "contactPhone": "string", "private": true, "inactive": true, "isApiClient": true, "rollup": true, "autoClipsEnabled": true, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "website": "string" }, "watermark": "custom", "watermarkMetadata": { "width": 0, "height": 0, "s3Url": "string", "publicUrl": "string", "position": "string" }, "sportId": "string", "meta": { "games": 0, "teams": 0, "userAssignments": 0, "divisions": 0, "events": 0, "ownerProfile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "descendants": 0 } } ] }
curl
curl -X GET "https://api.sportsvisio-api.com/programs/list/{accountId}" \
  -H "Authorization: Bearer YOUR_TOKEN"

Scheduled Games

5 endpoints
POST /programs/divisions/teams/{programId}/{eventId}/{divisionId}/bulk Add Teams to Division

Creates multiple division team assignment records

Parameters

NameInTypeDescription
programIdpathstringUuid of Program
eventIdpathstringUuid of Event
divisionIdpathstringUuid of Division
NameInTypeDescription
AuthorizationheaderstringSession token for current user

Responses

200 Success.
Response Body (200)
true
404 Division not found.
curl
curl -X POST "https://api.sportsvisio-api.com/programs/divisions/teams/{programId}/{eventId}/{divisionId}/bulk" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'
GET /programs/divisions/games/list/{programId}/{eventId}/{divisionId} Get a list of Scheduled Games

Returns a list of ScheduledGame records for the specified PED

Parameters

NameInTypeDescription
programIdpathstringUuid of Program
eventIdpathstringUuid of Event
divisionIdpathstringUuid of Division
NameInTypeDescription
columnquerystringColumn to sort on
directionquerystringSort order
limitquerynumberLimit of records to return
startquerynumberStarting offset of return records
sportIdquerystringSearch value to filter results by sport id
searchquerystringSearch value to filter results by owner email, game description, arena / court location, or season.
statusqueryarrayOptional; Filter by game status
beforequerynumberOptional; return results up to and including the specified Unix timestamp
afterquerynumberOptional; return results after and including the specified Unix timestamp
teamIdsqueryarrayArray of Team uuids to limit search results
teamIdqueryarrayThe id of the team to filter the results. This is different from `teamIds` that performs an OR search in the array of teamIds.
isApiClientquerybooleanWhen true returns games that are flagged as clients of the API
columnquerystringColumn to sort on
directionquerystringSort order
limitquerynumberLimit of records to return
startquerynumberStarting offset of return records
sportIdquerystringSearch value to filter results by sport id
searchquerystringSearch value to filter results by owner email, game description, arena / court location, or season.
statusqueryarrayOptional; Filter by game status
beforequerynumberOptional; return results up to and including the specified Unix timestamp
afterquerynumberOptional; return results after and including the specified Unix timestamp
teamIdsqueryarrayArray of Team uuids to limit search results
teamIdqueryarrayThe id of the team to filter the results. This is different from `teamIds` that performs an OR search in the array of teamIds.
isApiClientquerybooleanWhen true returns games that are flagged as clients of the API
AuthorizationheaderstringSession token for current user

Responses

200
Response Body (200)
{ "meta": { "total": 0, "returned": 0, "offset": 0, "limit": 0 }, "items": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "startTime": 1631216366, "endTime": 1631216366, "timezone": "America/New_York", "slippageOffset": 120, "description": "Jags vs Rockets Showdown", "season": "Fall 2022", "gameHighlightJobId": "string", "status": "pending-setup", "statusCode": "normal", "irregularStatus": "none", "updateStatusQueuedAt": 0, "aiAutoProcess": true, "notes": "Custom note from annotator", "aiSummary": "string", "aiConfig": { "provider": "AWS", "swimlane": "FULL", "destination": "string", "devMode": true }, "shortChart": true, "teamGameAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "designation": "Home / Away / Team1 / Team 2 / etc.", "color": "Red", "score": 99, "reportedScore": 99, "winAwarded": true, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": 0, "long": 0 }, "type": "MINE", "private": true, "sportId": "string" } } ] } ] }
curl
curl -X GET "https://api.sportsvisio-api.com/programs/divisions/games/list/{programId}/{eventId}/{divisionId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
GET /scheduled-games/{scheduledGameId} Get ScheduledGame

Returns full ScheduledGame record.

Parameters

NameInTypeDescription
scheduledGameIdpathstringScheduled Game uuid to fetch
NameInTypeDescription
AuthorizationheaderstringSession token for current user

Responses

200 Success.
Response Body (200)
{ "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "startTime": 1631216366, "endTime": 1631216366, "timezone": "America/New_York", "slippageOffset": 120, "description": "Jags vs Rockets Showdown", "season": "Fall 2022", "gameHighlightJobId": "string", "status": "pending-setup", "statusCode": "normal", "irregularStatus": "none", "updateStatusQueuedAt": 0, "aiAutoProcess": true, "notes": "Custom note from annotator", "aiSummary": "string", "aiConfig": { "provider": "AWS", "swimlane": "FULL", "destination": "string", "devMode": true }, "shortChart": true, "court": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string" }, "teamGameAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "designation": "Home / Away / Team1 / Team 2 / etc.", "color": "Red", "score": 99, "reportedScore": 99, "winAwarded": true, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": 0, "long": 0 }, "type": "MINE", "private": true, "sportId": "string" }, "game": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "startTime": 1631216366, "endTime": 1631216366, "timezone": "America/New_York", "slippageOffset": 120, "description": "Jags vs Rockets Showdown", "season": "Fall 2022", "gameHighlightJobId": "string", "status": "pending-setup", "statusCode": "normal", "irregularStatus": "none", "updateStatusQueuedAt": 0, "aiAutoProcess": true, "notes": "Custom note from annotator", "aiSummary": "string", "aiConfig": { "provider": "AWS", "swimlane": "FULL", "destination": "string", "devMode": true }, "shortChart": true }, "rosterAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "number": "string", "minsPlayed": 0, "starter": true, "clipUrl": "string", "clipThumbUrl": "string", "jobId": "string", "teamGameAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "designation": "Home / Away / Team1 / Team 2 / etc.", "color": "Red", "score": 99, "reportedScore": 99, "winAwarded": true, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": 0, "long": 0 }, "type": "MINE", "private": true, "sportId": "string" }, "game": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "startTime": 1631216366, "endTime": 1631216366, "timezone": "America/New_York", "slippageOffset": 120, "description": "Jags vs Rockets Showdown", "season": "Fall 2022", "gameHighlightJobId": "string", "status": "pending-setup", "statusCode": "normal", "irregularStatus": "none", "updateStatusQueuedAt": 0, "aiAutoProcess": true, "notes": "Custom note from annotator", "aiSummary": "string", "aiConfig": { "provider": "AWS", "swimlane": "FULL", "destination": "string", "devMode": true }, "shortChart": true }, "rosterAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "number": "string", "minsPlayed": 0, "starter": true, "clipUrl": "string", "clipThumbUrl": "string", "jobId": "string", "teamGameAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "designation": "Home / Away / Team1 / Team 2 / etc.", "color": "Red", "score": 99, "reportedScore": 99, "winAwarded": true, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": ..., "long": ... }, "type": "MINE", "private": true, "sportId": "string" }, "game": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "startTime": 1631216366, "endTime": 1631216366, "timezone": "America/New_York", "slippageOffset": 120, "description": "Jags vs Rockets Showdown", "season": "Fall 2022", "gameHighlightJobId": "string", "status": "pending-setup", "statusCode": "normal", "irregularStatus": "none", "updateStatusQueuedAt": 0, "aiAutoProcess": true, "notes": "Custom note from annotator", "aiSummary": "string", "aiConfig": { "provider": ..., "swimlane": ..., "destination": ..., "metadata": ..., "devMode": ... }, "shortChart": true }, "rosterAssn": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "number": ..., "minsPlayed": ..., "starter": ..., "clipUrl": ..., "clipThumbUrl": ..., "jobId": ..., "teamGameAssn": ..., "teamPlayer": ... } ] }, "teamPlayer": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": ..., "createdAt": ..., "updatedAt": ..., "firstName": ..., "lastName": ..., "imageUrl": ..., "nickName": ..., "location": ..., "socials": ..., "vitals": ..., "user": ... }, "player": { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "number": ..., "imageUrl": ..., "inactive": ..., "isPhantom": ..., "playerProfileAssn": ... } } } } ] }, "teamPlayer": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": 0, "long": 0 }, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "facebook_username": "string", "instagram_username": "string", "twitter_username": "string", "tiktok_username": "string" }, "vitals": { "bio": "string", "height": 0, "wingspan": 0, "preferredPositions": [ "string" ], "graduatingClass": "string", "hometown": "string", "bannerImageUrl": "string" }, "user": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "email": "string", "inactive": true, "rootAdmin": true, "companyRole": "string" } }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "imageUrl": "string", "profile": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "firstName": "string", "lastName": "string", "imageUrl": "string", "nickName": "string", "location": { "lat": ..., "long": ... }, "socials": { "facebook": ..., "instagram": ..., "tiktok": ..., "facebook_username": ..., "instagram_username": ..., "twitter_username": ..., "tiktok_username": ... }, "vitals": { "bio": ..., "height": ..., "wingspan": ..., "preferredPositions": ..., "graduatingClass": ..., "hometown": ..., "bannerImageUrl": ... }, "user": { "id": ..., "createdAt": ..., "updatedAt": ..., "email": ..., "inactive": ..., "rootAdmin": ..., "companyRole": ... } }, "player": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "number": "string", "imageUrl": "string", "inactive": true, "isPhantom": true, "playerProfileAssn": { "id": ..., "createdAt": ..., "updatedAt": ..., "imageUrl": ..., "profile": ..., "player": ... } } } } } } } ] } ], "deviceGameAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "position": "center", "sourceMediaUrl": "string", "sourceMediaThumbUrl": "string", "jobId": "string", "goalPosition": { "x": 0, "y": 0, "width": 0, "height": 0 }, "device": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "macAddress": "2C:54:91:88:C9:E3", "name": "Left court camera", "manufacturer": "Apple", "modelNumber": "A1920" }, "aiStatus": { "status": "starting", "percent": 0, "errors": [ { "occurredAt": "string", "severity": "warn | critical", "message": "string", "code": "string" } ] }, "status": "pending", "statusUpdatedAt": "string", "sourceMediaHaloUrl": "string" } ], "programEventDivisionAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "programEventAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "event": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "eventType": "tournament-play", "startTime": 0, "endTime": 0, "imageUrl": "string", "private": true }, "program": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "Tournament Finals", "programType": "generic", "imageUrl": "string", "company": "string", "companyUrl": "string", "contactPhone": "string", "private": true, "inactive": true, "isApiClient": true, "rollup": true, "autoClipsEnabled": true, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "website": "string" }, "watermark": "custom", "watermarkMetadata": { "width": 0, "height": 0, "s3Url": "string", "publicUrl": "string", "position": "string" }, "sportId": "string" }, "programEventDivisionAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "programEventAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "event": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "eventType": "tournament-play", "startTime": 0, "endTime": 0, "imageUrl": "string", "private": true }, "program": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "Tournament Finals", "programType": "generic", "imageUrl": "string", "company": "string", "companyUrl": "string", "contactPhone": "string", "private": true, "inactive": true, "isApiClient": true, "rollup": true, "autoClipsEnabled": true, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "website": "string" }, "watermark": "custom", "watermarkMetadata": { "width": 0, "height": 0, "s3Url": "string", "publicUrl": "string", "position": "string" }, "sportId": "string" }, "programEventDivisionAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "programEventAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "event": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "eventType": "tournament-play", "startTime": 0, "endTime": 0, "imageUrl": "string", "private": true }, "program": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "Tournament Finals", "programType": "generic", "imageUrl": "string", "company": "string", "companyUrl": "string", "contactPhone": "string", "private": true, "inactive": true, "isApiClient": true, "rollup": true, "autoClipsEnabled": true, "socials": { "facebook": ..., "instagram": ..., "tiktok": ..., "website": ... }, "watermark": "custom", "watermarkMetadata": { "width": ..., "height": ..., "s3Url": ..., "publicUrl": ..., "position": ... }, "sportId": "string" }, "programEventDivisionAssn": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "programEventAssn": ..., "division": ..., "rollup": ..., "programDivisionTeamAssn": ..., "teamPlayerProgramEventDivisionAssns": ... } ] }, "division": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "divisionType": "division", "imageUrl": "string" }, "rollup": true, "programDivisionTeamAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "team": { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "shortName": ..., "description": ..., "imageUrl": ..., "defaultColor": ..., "awayColor": ..., "location": ..., "type": ..., "private": ..., "sportId": ... }, "programEventDivisionAssn": { "id": ..., "createdAt": ..., "updatedAt": ..., "programEventAssn": ..., "division": ..., "rollup": ..., "programDivisionTeamAssn": ..., "teamPlayerProgramEventDivisionAssns": ... } } ], "teamPlayerProgramEventDivisionAssns": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "programEventDivisionAssn": { "id": ..., "createdAt": ..., "updatedAt": ... }, "team": { "id": ..., "createdAt": ..., "updatedAt": ... }, "teamPlayer": { "id": ..., "createdAt": ..., "updatedAt": ... }, "number": "string", "inactive": true } ] } ] }, "division": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "divisionType": "division", "imageUrl": "string" }, "rollup": true, "programDivisionTeamAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": 0, "long": 0 }, "type": "MINE", "private": true, "sportId": "string" }, "programEventDivisionAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "programEventAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "event": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "eventType": "tournament-play", "startTime": 0, "endTime": 0, "imageUrl": "string", "private": true }, "program": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "Tournament Finals", "programType": "generic", "imageUrl": "string", "company": "string", "companyUrl": "string", "contactPhone": "string", "private": true, "inactive": true, "isApiClient": true, "rollup": true, "autoClipsEnabled": true, "socials": { "facebook": ..., "instagram": ..., "tiktok": ..., "website": ... }, "watermark": "custom", "watermarkMetadata": { "width": ..., "height": ..., "s3Url": ..., "publicUrl": ..., "position": ... }, "sportId": "string" }, "programEventDivisionAssn": [ { "id": ..., "createdAt": ..., "updatedAt": ..., "programEventAssn": ..., "division": ..., "rollup": ..., "programDivisionTeamAssn": ..., "teamPlayerProgramEventDivisionAssns": ... } ] }, "division": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "divisionType": "division", "imageUrl": "string" }, "rollup": true, "programDivisionTeamAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "team": { "id": ..., "createdAt": ..., "updatedAt": ..., "name": ..., "shortName": ..., "description": ..., "imageUrl": ..., "defaultColor": ..., "awayColor": ..., "location": ..., "type": ..., "private": ..., "sportId": ... }, "programEventDivisionAssn": { "id": ..., "createdAt": ..., "updatedAt": ..., "programEventAssn": ..., "division": ..., "rollup": ..., "programDivisionTeamAssn": ..., "teamPlayerProgramEventDivisionAssns": ... } } ], "teamPlayerProgramEventDivisionAssns": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "programEventDivisionAssn": { "id": ..., "createdAt": ..., "updatedAt": ... }, "team": { "id": ..., "createdAt": ..., "updatedAt": ... }, "teamPlayer": { "id": ..., "createdAt": ..., "updatedAt": ... }, "number": "string", "inactive": true } ] } } ], "teamPlayerProgramEventDivisionAssns": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "programEventDivisionAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "teamPlayer": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string" }, "number": "string", "inactive": true } ] } ] }, "division": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "divisionType": "division", "imageUrl": "string" }, "rollup": true, "programDivisionTeamAssn": [ { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "team": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "string", "description": "string", "imageUrl": "string", "defaultColor": "string", "awayColor": "string", "location": { "lat": 0, "long": 0 }, "type": "MINE", "private": true, "sportId": "string" }, "programEventDivisionAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "programEventAssn": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "event": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "eventType": "tournament-play", "startTime": 0, "endTime": 0, "imageUrl": "string", "private": true }, "program": { "id": "7a5e7bf4-ad48-4a01-b64b-46f515de2c86", "createdAt": "string", "updatedAt": "string", "name": "string", "shortName": "Tournament Finals", "programType": "generic", "imageUrl": "string", "company": "string", "companyUrl": "string", "contactPhone": "string", "private": true, "inactive": true, "isApiClient": true, "rollup": true, "autoClipsEnabled": true, "socials": { "facebook": "string", "instagram": "string", "tiktok": "string", "website": "string" }, "watermark": "custom", "watermarkMetadata": { "width": 0, "height": 0, "s3Url": "string", "publicUrl": "string", "position"
[...]
